[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: error by packagekit?, can't yum update



On Tue, Mar 31, 2009 at 05:10:31AM -0700, Antonio Olivares wrote:
> 
> The following comes up by PackageKit:
> 
> Error Type: <type 'exceptions.ValueError'>
> Error Value: Error parsing '5 # was 3': invalid integer value
>   File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2314, in <module>
>     main()
>   File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2310, in main
>     backend = PackageKitYumBackend('', lock=True)
>   File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 182, in __init__
>     self.yumbase = PackageKitYumBase(self)
>   File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2253, in __init__
>     self.repos.confirm_func = self._repo_gpg_confirm
>   File : /usr/lib/python2.5/site-packages/yum/__init__.py, line 589, in <lambda>
>     repos = property(fget=lambda self: self._getRepos(),
>   File : /usr/lib/python2.5/site-packages/yum/__init__.py, line 395, in _getRepos
>     self._getConfig() # touch the config class first
>   File : /usr/lib/python2.5/site-packages/yum/__init__.py, line 192, in _getConfig
>     self._conf = config.readMainConfig(startupconf)
>   File : /usr/lib/python2.5/site-packages/yum/config.py, line 778, in readMainConfig
>     yumconf.populate(startupconf._parser, 'main')
>   File : /usr/lib/python2.5/site-packages/yum/config.py, line 493, in populate
>     setattr(self, name, value)
>   File : /usr/lib/python2.5/site-packages/yum/config.py, line 86, in __set__
>     raise ValueError('Error parsing $r: $s' $ (value, str(e)))
> 
> 
> going to CLI yum, I get:
> 
> [root localhost ~]# yum clean all
> Loaded plugins: refresh-packagekit
> Options Error: Error parsing '5 # was 3': invalid integer value
> [root localhost ~]# yum clean metadata
> Loaded plugins: refresh-packagekit
> Options Error: Error parsing '5 # was 3': invalid integer value
> [root localhost ~]# yum update
> Loaded plugins: refresh-packagekit
> Options Error: Error parsing '5 # was 3': invalid integer value
> 
> Any tricks/hacks to fix this?

This looks to me like you may have an error in your /etc/yum.conf file
-- my best guess is you changed the "installonly_limit" parameter and
tried to include the comment '# was 3' at the end of the line, which
is forbidden.

-- 
Paul W. Frields                                http://paul.frields.org/
  gpg fingerprint: 3DA6 A0AC 6D58 FEC4 0233  5906 ACDB C937 BD11 3717
  http://redhat.com/   -  -  -  -   http://pfrields.fedorapeople.org/
  irc.freenode.net: stickster @ #fedora-docs, #fedora-devel, #fredlug

Attachment: pgpHdAUeUGYHx.pgp
Description: PGP signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]